<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ page import="java.sql.Connection" %>
<%@ page import="java.util.*" %>
<%@ page import="com.censoft.common.db.ConnectionFactory" %>
<%@ page import="com.censoft.common.base.Pub" %>
<%
    ConnectionFactory cf = new ConnectionFactory();
    Pub pub = new Pub();

%>
<link rel="stylesheet" href="<%=request.getContextPath()%>/css/pagination.css">
<script type="text/javascript" src="<%=request.getContextPath()%>/js/jquery.pagination.js"></script>
<link rel="stylesheet" href="<%=request.getContextPath()%>/js/zTree/v3/css/zTreeStyle/zTreeStyle.css"
      type="text/css">
<nav class="breadcrumb" style="background-color: #fff;">
    <div style="width:200px;margin: 0 auto;"><i class="Hui-iconfont">&#xe67f;</i> 排班人员列表
        </div>
    <a class="btn btn-success radius r" style="line-height:1.6em;margin-top:3px"
       href="javascript:void(0);" onclick="window.location.reload();"
       title="刷新"><i
            class="Hui-iconfont">&#xe68f;</i></a></nav>
<div class="page-container">
    <div  >
        <div class="search-form" style="padding-top: 0px;">
            <form action="right_user_list.jsp" method="post" id="data_form_search" name="data_form_search">
                <input type="hidden" name="page_number" id="page_number" value="1"/>
                <input type="hidden" name="page_size" id="page_size" value="10"/>
            </form>
            <div id="datalist">
            </div>
        </div>
    </div>
</div>
<div style="position: absolute;z-index: 999;width:1000px;height:600px;left:300px;display:none;" id="groupUser">

</div>
<script type="text/javascript">
    searchModel();
    function searchModel() {
        $.ajax({
            type: "post",
            url: "right_user_list.jsp",
            data: $('#data_form_search').serialize(),
            success: function (msg) {
                $("#datalist").html(msg);
            }
        });
    }
    $(document).keyup(function (event) {
        if (event.keyCode == 13) {
            searchModel();
        }
    });
    function chongzhi() {
        $("#page_size").val("10");
        data_form_search.reset();
        searchModel();
    }
</script>
<script type="text/javascript" src="<%=request.getContextPath()%>/js/zTree/v3/js/jquery.ztree.all-3.5.min.js"></script>
<script type="text/javascript">
    function addUser() {
        var url = './editUser-t.jsp?action=add';
        viewDeptOrUserInfo('人员信息', url, '1000', '500');
    }
    function viewDeptOrUserInfo(title, url, w, h) {
        var abc = layer.open({
            title: title,
            type: 2,
            content: url,
            area: [w+'px', h+'px'],
            maxmin: true
        });
        //layer.full(abc);
    }
</script>